import request from '@/utils/request'

// 查询自行车棚员工PPE柜列表
export function listStaffLocker(query) {
  return request({
    url: '/production/staffLocker/list',
    method: 'get',
    params: query
  })
}

// 查询自行车棚员工PPE柜详细
export function getStaffLocker(id) {
  return request({
    url: '/production/staffLocker/' + id,
    method: 'get'
  })
}

// 新增自行车棚员工PPE柜
export function addStaffLocker(data) {
  return request({
    url: '/production/staffLocker',
    method: 'post',
    data: data
  })
}

// 修改自行车棚员工PPE柜
export function updateStaffLocker(data) {
  return request({
    url: '/production/staffLocker',
    method: 'put',
    data: data
  })
}

// 删除自行车棚员工PPE柜
export function delStaffLocker(id) {
  return request({
    url: '/production/staffLocker/' + id,
    method: 'delete'
  })
}

// 导出自行车棚员工PPE柜
export function exportStaffLocker(query) {
  return request({
    url: '/production/staffLocker/export',
    method: 'get',
    params: query
  })
}